# Design Patterns
A design patterns are well-proved solution for solving the specific problem/task.
Design patterns are solutions to general problems that software developers faced during software development.